#!/usr/bin/env node
import { createRequire as createRequire_BATI_CLI } from 'module';
const require = createRequire_BATI_CLI(import.meta.url);

import {
  hfs,
  txs
} from "../../../../chunk-2ZRZBBQF.js";
import "../../../../chunk-IAWYWZSL.js";
import "../../../../chunk-IHX3I5SM.js";

// ../../boilerplates/sqlite/dist/files/$TODO.md.js
async function getTodo(props) {
  if (props.meta.BATI.hasD1) return;
  const content = await txs(props);
  const pmCmd = hfs().run;
  const todo = `
## Sqlite

Ensure that \`DATABASE_URL\` is configured as desired in \`.env\` file, then create the database:
\`\`\`bash
${pmCmd} sqlite:migrate # creates sqlite tables
\`\`\`
`;
  content.addMarkdownFeature(todo, "sqlite");
  return content;
}
export {
  getTodo as default
};
